﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using EF_Delete_Razor_Core.Models;

namespace EF_Delete_Razor_Core.Pages
{
    public class IndexModel : PageModel
    {
        private DBCtx Context { get; }
        public IndexModel(DBCtx _context)
        {
            this.Context = _context;
        }

        public Customer Customer { get; set; }

        public void OnGet()
        {
        }

        public void OnPostSubmit(Customer customer)
        {
            Customer deletedCustomer = (from c in this.Context.Customers
                                        where c.CustomerId == customer.CustomerId
                                        select c).FirstOrDefault();

            if (deletedCustomer != null)
            {
                this.Context.Customers.Remove(deletedCustomer);
                this.Context.SaveChanges();
                ViewData["Message"] = "Customer record deleted.";
            }
            else
            {
                ViewData["Message"] = "Customer not found.";
            }
        }
    }
}